aboutsummaryrefslogtreecommitdiffstats
path: root/chinese/wangttf/pkg-install
diff options
context:
space:
mode:
Diffstat (limited to 'chinese/wangttf/pkg-install')
-rw-r--r--chinese/wangttf/pkg-install55
1 files changed, 55 insertions, 0 deletions
diff --git a/chinese/wangttf/pkg-install b/chinese/wangttf/pkg-install
new file mode 100644
index 00000000000..064dc1f454e
--- /dev/null
+++ b/chinese/wangttf/pkg-install
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+if [ "$2" = "PRE-INSTALL" ]; then
+ exit 0
+fi
+
+PKGNAME=$1
+PREFIX=${PKG_PREFIX}
+TTFM=${PREFIX}/bin/ttfm.sh
+
+# No default kai & ming for wangttf.
+FONTDIR=${PREFIX}/share/fonts/TrueType
+FONTS="wcl-01.ttf wcl-02.ttf wcl-03.ttf wcl-04.ttf wcl-05.ttf \
+ wcl-06.ttf wcl-07.ttf wcl-08.ttf wcl-09.ttf wcl-10.ttf"
+
+[ "X$WANT_X" = "X" ] && WANT_X=YES
+
+if [ ! -x $TTFM ]; then
+ echo "$TTFM not found!"
+ exit 1
+fi
+
+rm -f $FONTDIR/$PKGNAME
+
+if [ "$WANT_CJK" = "YES" -o "$WANT_CJK" = "yes" ]; then
+ # There's no CJK module now.
+fi
+
+if [ "$WANT_GS6" = "YES" -o "$WANT_GS6" = "yes" ]; then
+ for f in $FONTS; do
+ $TTFM --add ghostscript6 $FONTDIR/$f
+ done
+ for f in $DEFAULTMING; do
+ $TTFM --setdefault ghostscript6 $FONTDIR/$f
+ done
+ for f in $DEFAULTKAI; do
+ $TTFM --setdefault_kai ghostscript6 $FONTDIR/$f
+ done
+ echo "ghostscript6" >> $FONTDIR/$PKGNAME
+fi
+
+if [ "$WANT_X" = "YES" -o "$WANT_X" = "yes" ]; then
+ for f in $FONTS; do
+ $TTFM --add xttfm $FONTDIR/$f
+ done
+ for f in $DEFAULTMING; do
+ $TTFM --setdefault xttfm $FONTDIR/$f
+ done
+ for f in $DEFAULTKAI; do
+ $TTFM --setdefault_kai xttfm $FONTDIR/$f
+ done
+ echo "xttfm" >> $FONTDIR/$PKGNAME
+fi
+
+exit 0